Trading pairs
Pairs and exchanges (paginated)
GET
/openapi/v1/currencies/{currency_id}/pairsRefresh: 30 s
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| currency_id | String | Required | Currency ID |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| page | integer | Optional | Page number |
| page_size | integer | Optional | Items per page, default 20, max 100 |
| order_by | string | Optional | Sort field; defaults to 24h volume descending |
| order | string | Optional | Sort direction, asc or desc (default). Only applies when order_by is set |
| exchange | string | Optional | Filter by exchange |
Request Example
curl "https://openapi.sosovalue.com/openapi/v1/currencies/1673723677362319866/pairs" \ -H "x-soso-api-key: $SOSO_API_KEY"
Response Example
{
"list": [
{
"base": "BTC",
"target": "USDT",
"market": "Binance",
"price": 69476,
"turnover_24h": 20242,
"cost_to_move_up_usd": 19320706.3958517,
"cost_to_move_down_usd": 16360235.3694131
}
],
"page": 1,
"page_size": 100,
"total": 542
}Response Fields
| Field | Type | Description |
|---|---|---|
| base | String | Base currency |
| target | String | Quote currency |
| market | String | Exchange name |
| price | Number | Latest price |
| turnover_24h | Number | 24-hour trading volume |
| cost_to_move_up_usd | Number | +2% depth (USD cost to push price up 2%) |
| cost_to_move_down_usd | Number | -2% depth (USD cost to push price down 2%) |